#pragma once
#pragma unmanaged
#include "BulletCollision/BroadphaseCollision/btAxisSweep3.h"
#pragma managed
#include "IBroadphaseInterface.h"
using namespace System;
using namespace Microsoft::Xna::Framework;

namespace BulletCLI 
{
    public ref class AxisSweep3 : public IBroadphaseInterface
	{
	private:
		btAxisSweep3* m_p;
	internal:
		virtual btBroadphaseInterface* GetPtr() override {return m_p;}
	public:
        AxisSweep3(Vector3 worldAABBMin, Vector3 worldAABBMax,unsigned short maxHandles);
		virtual ~AxisSweep3();
		!AxisSweep3();
	};
}